<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="generator" content="Docutils 0.21.2: https://docutils.sourceforge.io/" />
<title>hg help</title>
<link rel="stylesheet" href="../style.css" type="text/css" />
</head>
<body>
<div class="document" id="hg-help">
<span id="hg-help-1"></span>
<h1 class="title">hg help</h1>
<h2 class="subtitle" id="show-help-for-a-given-topic-or-a-help-overview">show help for a given topic or a help overview</h2>

<div class="contents htmlonly topic" id="contents">
<p class="topic-title"><a class="reference internal" href="#top">Contents</a></p>
<ul class="simple">
<li><a class="reference internal" href="#synopsis" id="toc-entry-1">Synopsis</a></li>
<li><a class="reference internal" href="#description" id="toc-entry-2">Description</a></li>
<li><a class="reference internal" href="#options" id="toc-entry-3">Options</a></li>
</ul>
</div>
<div class="section" id="synopsis">
<h1><a class="toc-backref" href="#contents">Synopsis</a></h1>
<pre class="literal-block">
hg help [-eck] [-s PLATFORM] [TOPIC]
</pre>
</div>
<div class="section" id="description">
<h1><a class="toc-backref" href="#contents">Description</a></h1>
<p>With no arguments, print a list of commands with short help messages.</p>
<p>Given a topic, extension, or command name, print help for that
topic.</p>
<p>Returns 0 if successful.</p>
</div>
<div class="section" id="options">
<h1><a class="toc-backref" href="#contents">Options</a></h1>
<table class="docutils option-list" frame="void" rules="none">
<col class="option" />
<col class="description" />
<tbody valign="top">
<tr><td class="option-group" colspan="2">
<kbd><span class="option">-e</span>, <span class="option">--extension</span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>show only help for extensions</td></tr>
<tr><td class="option-group">
<kbd><span class="option">-c</span>, <span class="option">--command</span></kbd></td>
<td>show only help for commands</td></tr>
<tr><td class="option-group">
<kbd><span class="option">-k</span>, <span class="option">--keyword</span></kbd></td>
<td>show topics matching keyword</td></tr>
<tr><td class="option-group" colspan="2">
<kbd><span class="option">-s</span>, <span class="option">--system <var>&lt;PLATFORM[+]&gt;</var></span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>show help for specific platform(s)</td></tr>
</tbody>
</table>
<p>[+] marked option can be specified multiple times</p>
</div>
</div>
</body>
</html>
